How do you handle these errors?
FedoraForum.org - Fedora Support Forums and Community
Results 1 to 2 of 2
  1. #1
    Join Date
    Feb 2019
    Location
    Seoul
    Posts
    32
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    How do you handle these errors?

    [root@horyundangIII yoonjungsuep]# dnf system-upgrade download --refresh --releasever=31
    Before you continue ensure that your system is fully upgraded by running "dnf --refresh upgrade". Do you want to continue [y/N]: y
    Fedora Modular 31 - x86_64 6.2 kB/s | 4.8 kB 00:00
    Fedora Modular 31 - x86_64 - Updates 5.4 kB/s | 4.8 kB 00:00
    Fedora 31 - x86_64 - Updates 7.3 kB/s | 5.2 kB 00:00
    Fedora 31 - x86_64 7.8 kB/s | 5.2 kB 00:00
    google-chrome 6.3 kB/s | 1.3 kB 00:00
    Local Repository 0.0 B/s | 0 B 00:00
    Failed to download metadata for repo 'local-repo'
    RPM Fusion for Fedora 31 - Free - Updates 8.5 kB/s | 15 kB 00:01
    RPM Fusion for Fedora 31 - Free 9.7 kB/s | 15 kB 00:01
    RPM Fusion for Fedora 31 - Nonfree - Updates 12 kB/s | 15 kB 00:01
    RPM Fusion for Fedora 31 - Nonfree 14 kB/s | 15 kB 00:01
    skype (stable) 2.8 kB/s | 2.9 kB 00:01
    Ignoring repositories: local-repo
    오류:
    문제 1: package python2-gpg-1.12.0-1.fc30.x86_64 requires gpgme(x86-64) = 1.12.0-1.fc30, but none of the providers can be installed
    - gpgme-1.12.0-1.fc30.x86_64 does not belong to a distupgrade repository
    - problem with installed package python2-gpg-1.12.0-1.fc30.x86_64
    문제 2: problem with installed package kf5-ktexteditor-5.59.0-1.fc30.x86_64
    - package kf5-ktexteditor-5.60.0-2.fc31.x86_64 requires libgit2.so.28()(64bit), but none of the providers can be installed
    - kf5-ktexteditor-5.59.0-1.fc30.x86_64 does not belong to a distupgrade repository
    - package libgit2-0.28.2-2.module_f31+5035+83133efe.x86_64 is excluded
    - package libgit2-0.28.2-3.fc31.x86_64 is excluded
    (try to add '--skip-broken' to skip uninstallable packages)
    How do deal with at that time?

  2. #2
    Join Date
    Feb 2005
    Location
    London, UK
    Posts
    1,109
    Mentioned
    3 Post(s)
    Tagged
    0 Thread(s)

    Re: How do you handle these errors?

    Did you try adding "--skip-broken" like the output suggests? I usually dnf remove the packages if they're non-essential and then add them again after the upgrade.

Similar Threads

  1. Who's got a handle on GRUB2?
    By glennzo in forum Using Fedora
    Replies: 13
    Last Post: 20th October 2011, 12:28 AM
  2. how to handle rar file
    By simon2000 in forum Using Fedora
    Replies: 8
    Last Post: 26th February 2011, 03:15 PM
  3. [F12]VMware Server 2.0.2 how to handle errors
    By mo_om in forum Using Fedora
    Replies: 8
    Last Post: 19th January 2010, 12:12 PM
  4. k3b can't handle .WAV files
    By bd54338rre in forum Using Fedora
    Replies: 3
    Last Post: 28th December 2008, 08:46 PM
  5. Where does your forum handle come from?
    By Shadow Skill in forum Wibble
    Replies: 125
    Last Post: 5th October 2006, 09:07 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •